Subject: Re: ^M in the info files

From: Eli Zaretskii <[email-masked]>
Date: Sat, 10 Jan 2009 13:15:51 +0200

> Date: Sat, 29 Nov 2008 00:39:27 +0200
> From: Eli Zaretskii <[email-masked]>
> Cc: [email-masked], [email-masked], [email-masked],
> 	[email-masked]
> 
> > From: "Drew Adams" <[email-masked]>
> > Date: Fri, 28 Nov 2008 13:28:34 -0800
> > Cc: 'Juanma Barranquero' <[email-masked]>, [email-masked]
> > 
> > Whatever happened to this thread and the associated bugs: #876, #1117, #1284?
> > 
> > It sounds like there were alternative proposals about how to fix this, but there
> > was no discussion to try to reach a consensus or a decision. Is that where
> > things were left?
> > 
> > Meanwhile, it's still impossible to use the index in Info manuals on Windows,
> > and it's impossible to use some manuals (e.g. Viper) at all.
> 
> Don't worry, this will get fixed before Emacs 23 is ready for release.
> 
> I will work on it soon if no one beats me to it.

(Fore some value of "soon", sorry.)

I fixed this bug.

There were two suggestions for how to fix this: one by Handa-san in
this message:

  http://lists.gnu.org/archive/html/emacs-devel/2008-08/msg00293.html

followed by a tentative patch by Juanma here:

  http://lists.gnu.org/archive/html/emacs-devel/2008-08/msg00316.html

The other suggestion was by Stefan:

  http://lists.gnu.org/archive/html/emacs-devel/2008-08/msg00373.html

I decided I liked the first alternative better, since it has much
more local effect than the other one.  What Stefan suggested implied
messing with coding priorities, and I didn't feel that was TRT at this
late stage in Emacs 23.1 development.

The changes I installed are more thorough than what Juanma posted:
they change both detect_coding and detect_coding_system, and also bind
inhibit-null-byte-detection in a couple more places in info.el.

The result was tested on GNU/Linux, MS-Windows, and MS-DOS, both with
compressed and uncompressed Info files, with auto-compression-mode
both on and off.